package com.qmth.themis.business.dto;

import com.qmth.themis.business.enums.RoleEnum;

import java.io.Serializable;
import java.util.Set;

/**
 * @Description: 鉴权 dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/26
 */
public class AuthDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private RoleEnum roleEnum;
    private Set<String> roleCodes;
    private Set<String> urls;

    public AuthDto() {

    }

    public AuthDto(RoleEnum roleEnum, Set<String> roleCodes, Set<String> urls) {
        this.roleEnum = roleEnum;
        this.roleCodes = roleCodes;
        this.urls = urls;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public RoleEnum getRoleEnum() {
        return roleEnum;
    }

    public void setRoleEnum(RoleEnum roleEnum) {
        this.roleEnum = roleEnum;
    }

    public Set<String> getRoleCodes() {
        return roleCodes;
    }

    public void setRoleCodes(Set<String> roleCodes) {
        this.roleCodes = roleCodes;
    }

    public Set<String> getUrls() {
        return urls;
    }

    public void setUrls(Set<String> urls) {
        this.urls = urls;
    }
}
